Bug 1421442 - Touchpad does not work with libinput on ThinkPad T500
Summary: Touchpad does not work with libinput on ThinkPad T500
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libinput
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 11:59 UTC by Mikhail Zabaluev
Modified: 2017-02-22 00:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 00:22:11 UTC
Type: Bug


Attachments (Terms of Use)
evemu recording of events on the touchpad that have no effect on the desktop (12.89 KB, text/plain)
2017-02-12 11:59 UTC, Mikhail Zabaluev
no flags Details
Xorg log with libinput as the sole applicable driver (21.87 KB, text/plain)
2017-02-14 08:43 UTC, Mikhail Zabaluev
no flags Details

Description Mikhail Zabaluev 2017-02-12 11:59:34 UTC
Created attachment 1249496 [details]
evemu recording of events on the touchpad that have no effect on the desktop

Description of problem:
After an update, no input on the Synaptics TouchPad results in cursor moving or button actions, when logged into the user session on Wayland or XOrg with libinput driver. At the same time, the TrackPoint device and its buttons (above the touchpad) work normally.
In GDM, input from the touchpad works as expected. Same in a user session on XOrg with the evdev driver.

Version-Release number of selected component (if applicable):
libinput-1.6.0-2.fc25.x86_64 

How reproducible:
Always when desktop input is handled by libinput.

Additional info:
Observed on the ThinkPad T500.

Comment 1 Peter Hutterer 2017-02-13 23:04:04 UTC
"In GDM, input from the touchpad works as expected."

that means that libinput works, and replaying the recording here shows that it does work at the libinput level. What's your most recent Xorg.log? could be an xorg-related misconfiguration

Comment 2 Mikhail Zabaluev 2017-02-14 08:43:04 UTC
Created attachment 1250144 [details]
Xorg log with libinput as the sole applicable driver

Comment 3 Mikhail Zabaluev 2017-02-14 08:56:30 UTC
Not sure if it helps, but it's xorg-x11-drv-synaptics installed without xorg-x11-drv-libinput that provides smooth relative input from the touchpad.
With evdev alone, the cursor seems to jump to the absolute position in relation to the touchpad size.

Comment 4 Peter Hutterer 2017-02-14 21:48:49 UTC
very weird. the log doesn't complain about anything. You don't happen to have the touchpad disabled in the control-center?

run xinput test-xi2 and move the pointer, does that see any RawEvents from the device?

Comment 5 Mikhail Zabaluev 2017-02-21 05:11:06 UTC
(In reply to Peter Hutterer from comment #4)
> very weird. the log doesn't complain about anything. You don't happen to
> have the touchpad disabled in the control-center?

As a matter of fact I did, but I have no idea how it got disabled.
It just used to work in Fedora 25 until an update, and then it didn't.
I wasn't following the sequence of events closely, though; as far as I remember, it might have happened just over the laptop being suspended and then resumed. I'll tell more if the problem reoccurs.

Comment 6 Peter Hutterer 2017-02-22 00:22:11 UTC
fwiw, the matching gsettings key here is

gsettings get org.gnome.desktop.peripherals.touchpad send-events

if that's not on 'enabled' then the touchpad is disabled. I wonder if some gnome-related update somehow triggered that.

still, if I understand this correctly it's working now, right? until we figure out what toggled that setting, I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.